--- a/cmake/install_layout.cmake.orig	2016-02-08 20:35:02.000000000 -0430
+++ b/cmake/install_layout.cmake	2016-02-08 20:53:31.000000000 -0430
@@ -82,7 +82,7 @@
 ENDIF()

 SET(INSTALL_LAYOUT "${DEFAULT_INSTALL_LAYOUT}"
-CACHE STRING "Installation directory layout. Options are: TARGZ (as in tar.gz installer), WIN (as in zip installer), STANDALONE, RPM, DEB, SVR4, FREEBSD, GLIBC, OSX, SLES")
+CACHE STRING "Installation directory layout. Options are: TARGZ (as in tar.gz installer), WIN (as in zip installer), STANDALONE, RPM, DEB, SVR4, FREEBSD, GLIBC, OSX, MACPORTS, SLES")

 IF(UNIX)
   IF(INSTALL_LAYOUT MATCHES "RPM" OR
@@ -101,7 +101,7 @@
     SET(CMAKE_INSTALL_PREFIX ${default_prefix}
       CACHE PATH "install prefix" FORCE)
   ENDIF()
-  SET(VALID_INSTALL_LAYOUTS "RPM" "DEB" "SVR4" "FREEBSD" "GLIBC" "OSX" "TARGZ" "SLES" "STANDALONE")
+  SET(VALID_INSTALL_LAYOUTS "RPM" "DEB" "SVR4" "FREEBSD" "GLIBC" "OSX" "MACPORTS" "TARGZ" "SLES" "STANDALONE")
   LIST(FIND VALID_INSTALL_LAYOUTS "${INSTALL_LAYOUT}" ind)
   IF(ind EQUAL -1)
     MESSAGE(FATAL_ERROR "Invalid INSTALL_LAYOUT parameter:${INSTALL_LAYOUT}."
@@ -291,6 +291,39 @@
 SET(INSTALL_SECURE_FILE_PRIV_EMBEDDEDDIR_OSX ${secure_file_priv_embedded_path})

 #
+# MACPORTS layout
+#
+SET(INSTALL_BINDIR_MACPORTS                       "lib/@NAME@/bin")
+SET(INSTALL_SBINDIR_MACPORTS                      "lib/@NAME@/bin")
+SET(INSTALL_SCRIPTDIR_MACPORTS                    "lib/@NAME@/bin")
+#
+SET(INSTALL_LIBDIR_MACPORTS                       "lib/@NAME@/mysql")
+SET(INSTALL_PLUGINDIR_MACPORTS                    "lib/@NAME@/plugin")
+#
+SET(INSTALL_INCLUDEDIR_MACPORTS                   "include/@NAME@/mysql")
+#
+SET(INSTALL_DOCDIR_MACPORTS                       "share/doc/@NAME@")
+SET(INSTALL_DOCREADMEDIR_MACPORTS                 "share/doc/@NAME@")
+SET(INSTALL_MANDIR_MACPORTS                       "share/man/@NAME@")
+SET(INSTALL_INFODIR_MACPORTS                      "share/doc/@NAME@")
+#
+SET(INSTALL_SHAREDIR_MACPORTS                     "share/@NAME@")
+SET(INSTALL_MYSQLSHAREDIR_MACPORTS                "share/@NAME@")
+SET(INSTALL_MYSQLTESTDIR_MACPORTS                 "share/@NAME@/mysql-test")
+SET(INSTALL_SQLBENCHDIR_MACPORTS                  "share/@NAME@")
+SET(INSTALL_SUPPORTFILESDIR_MACPORTS              "share/@NAME@/support-files")
+#
+SET(INSTALL_MYSQLDATADIR_MACPORTS                 "var/db/@NAME@")
+SET(INSTALL_MYSQLKEYRINGDIR_MACPORTS              "var/db/@NAME@-keyring")
+SET(INSTALL_SECURE_FILE_PRIVDIR_MACPORTS          "${CMAKE_INSTALL_PREFIX}/var/db/@NAME@-files")
+SET(INSTALL_SECURE_FILE_PRIV_EMBEDDEDDIR_MACPORTS "${CMAKE_INSTALL_PREFIX}/var/db/@NAME@-files")
+SET(INSTALL_PLUGINTESTDIR_MACPORTS                ${plugin_tests})
+#
+# SUID /bin/ps is not in MacPorts sandbox causing scripts/CMakeLists.txt tests to fail so we set FIND_PROC here.
+#
+SET(FIND_PROC "ps -ef | grep -v mysqld_safe | grep -- $MYSQLD | grep $PID > /dev/null")
+
+#
 # TARGZ layout
 #
 SET(INSTALL_BINDIR_TARGZ           "bin")
